#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 17-7-11
# @Author  : JCai
# @desc    :
import threadpool
from django.core.management.base import BaseCommand


class Command(BaseCommand):
    def handle(self, *args, **options):
        from info_sync.models.account_models import EBayAccount
        from info_sync.views.listing_sync_info_daily import ebay_listing_sync_daily

        stores = EBayAccount.objects.all().values('account_id', 'name', 'Token')
        pool = threadpool.ThreadPool(4)
        requests = threadpool.makeRequests(ebay_listing_sync_daily, stores)
        [pool.putRequest(req) for req in requests]
        pool.wait()

        # stores = EBayAccount.objects.filter(account_id__in=[56]).values('account_id', 'name', 'Token')
        # for store in stores:
        #     ebay_listing_sync_daily(store)
